Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class PolicyManagerAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.BaseAppAction
              oracle.ifs.admin.actions.PolicyManagerAction

All Implemented Interfaces:
  Action, IfsParameters

    public class PolicyManagerAction

extends BaseAppAction

The PolicyManagerAction class implements an Action that executes the PolicyManager tool.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`PolicyManagerAction()` Creates a new PolicyManagerAction.

Method Summary
`protected void` | `execute(java.lang.String[] args)` Executes PolicyManager, given arguments.
`protected void` | `log()` Add message to the log.
`protected void` | `log(java.lang.String msg)` Add message to the log.
`protected void` | `log(java.lang.Throwable e)` Add stack trace to the log.

Methods inherited from class oracle.ifs.admin.actions.BaseAppAction
`failed, getArgs, perform, removeParameter, setErrorFile, setForSchemaUpgrade, setIncludePath, setParameter, setParameterFile, setPassword, setSchemaPassword, setService, setTraceFile, setUser, stop`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyManagerAction

    public PolicyManagerAction()

  Creates a new PolicyManagerAction.

  (Unpublished)

Method Detail

### execute

    protected void execute(java.lang.String[] args)
                    throws ActionFailedException

  Description copied from class: `PolicyManagerAction`
  Executes PolicyManager, given arguments.

  Specified by:
    `execute` in class `BaseAppAction`
  Parameters:
    `args` - the arguments
  Throws:
    `ActionFailedException` - if the operation fails
  (Unpublished)

### log

    protected void log()

  Description copied from class: `PolicyManagerAction`
  Add message to the log.

  (Unpublished)

### log

    protected void log(java.lang.String msg)

  Description copied from class: `PolicyManagerAction`
  Add message to the log.

  Parameters:
    `msg` - the message to log
  (Unpublished)

### log

    protected void log(java.lang.Throwable e)

  Description copied from class: `PolicyManagerAction`
  Add stack trace to the log.

  Parameters:
    `e` - the exception for which to print a stack trace
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD